1

I'm creating a flexviewer application (arcgis API for flex 3.4) with application builder. I'm new with flexviewer. I want to add thematic widget. I was able to add the widget. But when I want to run the widget, an error occurred saying I need to have dynamic layer. I went googling all day..but I could not find a way to do it in arcgis 10.0. Most of them are guides on 10.1.

So, is it possible to enable dynamic layer using arcgis server manager 10 or arccatalog 10? If it is possible, can someone direct me how? maybe some links?

Thanks

0

You are talking about enabling dynamic layer capability for a map service that was introduced in Server 10.1 (and is supported in 10.2). You can enable dynamic layer option either in ArcGIS Desktop or in Server Manager. However, this option is not available in Server 10.0.

On the Home page of the Thematic widget for Flex Viewer, under system requirements section:

Requirements

**ArcGIS 10.1 or later required for dynamic layer support**
About dynamic layers
Enabling dynamic layers
Supported functionality in dynamic layers

So, your options are: upgrade to 10.1 or develop custom functionality that will allow you to change symbology of the map service on-the-fly with 10.0.

0

When you create a service in arcgis, there are a few choices.

A map service is capable of being loaded in the viewer as a dynamic layer. A tiled service is not.

You can find many examples on resources.esri.com, look in the flex section.
Your xaml will have this in it...

<esri:ArcGISDynamicMapServiceLayer
    url="http://sampleserver1.arcgisonline.com/ArcGIS/rest/services/
         Demographics/ESRI_Population_World/MapServer" 
         alpha=".70"/>

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.